Bug 247896 - misc/valentina: update to 0.7.0.0a (development branch), fixed build with qt 5.15, project moved to gitlab
Summary: misc/valentina: update to 0.7.0.0a (development branch), fixed build with qt ...
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Yuri Victorovich
URL: https://gitlab.com/smart-pattern/vale...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-07-10 16:24 UTC by VVD
Modified: 2020-07-17 05:06 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (yuri)
vvd: maintainer-feedback?


Attachments
Update to 0.7.0.0a (development branch), fixed build with qt5, project moved to gitlab (6.23 KB, patch)
2020-07-10 16:24 UTC, VVD
no flags Details | Diff
Update to 0.7.0.0a (development branch), fixed build with Qt 5.15, project moved to gitlab, removed absolete patches - already in upstream (6.17 KB, patch)
2020-07-11 09:25 UTC, VVD
vvd: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2020-07-10 16:24:55 UTC
Created attachment 216365 [details]
Update to 0.7.0.0a (development branch), fixed build with qt5, project moved to gitlab

Upstream developers of valentina recommends to use branch "develop".

Tested on 12.1 amd64: make check-plist/test/install and run.
Comment 1 VVD 2020-07-11 05:39:10 UTC
QPainterPath patches already in upstream.
PREFIX patches waiting approval - current version have hardcoded path /usr/share.

I'll update patch soon.
Comment 2 VVD 2020-07-11 09:25:11 UTC
Created attachment 216376 [details]
Update to 0.7.0.0a (development branch), fixed build with Qt 5.15, project moved to gitlab, removed absolete patches - already in upstream
Comment 3 Yuri Victorovich freebsd_committer 2020-07-11 15:51:06 UTC
Committed with some changes, thanks for the patch!
Comment 4 commit-hook freebsd_committer 2020-07-11 15:51:12 UTC
A commit references this bug:

Author: yuri
Date: Sat Jul 11 15:50:25 UTC 2020
New revision: 541983
URL: https://svnweb.freebsd.org/changeset/ports/541983

Log:
  misc/valentina: Update 0.6.1 -> 0.7.0.0a

  PR:		247896
  Submitted by:	vvd@unislabs.com (initial version)

Changes:
  head/misc/valentina/Makefile
  head/misc/valentina/distinfo
  head/misc/valentina/files/patch-common.pri
  head/misc/valentina/files/patch-src_libs_vgeometry_vellipticalarc.cpp
  head/misc/valentina/files/patch-src_libs_vgeometry_vplacelabelitem.cpp
  head/misc/valentina/files/patch-src_libs_vmisc_debugbreak.h
  head/misc/valentina/files/patch-src_libs_vpatterndb_vpassmark.h
  head/misc/valentina/pkg-descr
  head/misc/valentina/pkg-plist
Comment 5 VVD 2020-07-11 16:21:53 UTC
(In reply to commit-hook from comment #4)
You committed old version of the patch.
Upstream fixed several issues for last 2 days.

1. Support of the QT 5.15 already in upstream.
Patches are deprecated:
head/misc/valentina/files/patch-src_libs_vgeometry_vellipticalarc.cpp
head/misc/valentina/files/patch-src_libs_vgeometry_vplacelabelitem.cpp
head/misc/valentina/files/patch-src_libs_vpatterndb_vpassmark.h
https://gitlab.com/smart-pattern/valentina/-/issues/54

2. Already in upstream:
head/misc/valentina/files/patch-src_libs_vmisc_debugbreak.h
https://gitlab.com/smart-pattern/valentina/-/issues/55

3. This is more correct way to set PREFIX:
QMAKE_ARGS=	CONFIG+="noTests" CONFIG+="noRunPath" PREFIX="${PREFIX}"
Your patch doesn't work:
 -DEFAULT_PREFIX = /usr
 +DEFAULT_PREFIX = /usr/local
They had hardhoded in sources (cpp-files) path to /usr/share/valentina, and it can't find resources.
In commit cc506e96eae8c951cdbdbbc07c7ed3ba38392295 it was fixed.
https://gitlab.com/smart-pattern/valentina/-/issues/56

4. There are lines in *.pro files:
# Since Q5.12 available support for C++17
equals(QT_MAJOR_VERSION, 5):greaterThan(QT_MINOR_VERSION, 11) {
    CONFIG += c++17
} else {
    CONFIG += c++14
}
So maybe we have to set compiler:c++17-lang in USES. I'm not sure - probably u know better.

5. They use git, but not mercurial in configure stage - this line remove warnings (errors):
BINARY_ALIAS=	git=/usr/bin/true
instead
BINARY_ALIAS=   hg=/usr/bin/true

6. Correct commit is:
GL_COMMIT=	cc506e96eae8c951cdbdbbc07c7ed3ba38392295
Comment 6 VVD 2020-07-11 16:46:43 UTC
(In reply to VVD from comment #5)
7. DOS2UNIX_FILE=  src/libs/vgeometry/vellipticalarc.cpp
Correct name is DOS2UNIX_FILES.
But a lot of source files have DOS end of lines:
share/Valentina-Logo_v2.svg
src/app/share/collection/bugs/smart_pattern_#36.vit
src/app/share/collection/test/seamtest3.val
src/app/valentina/dialogs/dialogaboutapp.ui
src/libs/ifc/schema/pattern/v0.1.4.xsd
src/libs/ifc/schema/pattern/v0.2.0.xsd
src/libs/ifc/schema/pattern/v0.2.1.xsd
src/libs/ifc/schema/pattern/v0.2.2.xsd
src/libs/ifc/schema/pattern/v0.2.3.xsd
src/libs/ifc/schema/pattern/v0.2.4.xsd
src/libs/ifc/schema/pattern/v0.2.5.xsd
src/libs/ifc/schema/pattern/v0.2.6.xsd
src/libs/ifc/schema/pattern/v0.2.7.xsd
src/libs/ifc/schema/pattern/v0.3.0.xsd
src/libs/ifc/schema/pattern/v0.3.1.xsd
src/libs/ifc/schema/pattern/v0.3.2.xsd
src/libs/ifc/schema/pattern/v0.3.3.xsd
src/libs/ifc/schema/pattern/v0.3.4.xsd
src/libs/ifc/schema/pattern/v0.3.5.xsd
src/libs/ifc/schema/pattern/v0.3.6.xsd
src/libs/ifc/schema/pattern/v0.3.7.xsd
src/libs/ifc/schema/pattern/v0.3.8.xsd
src/libs/ifc/schema/pattern/v0.3.9.xsd
src/libs/ifc/schema/pattern/v0.4.0.xsd
src/libs/ifc/schema/pattern/v0.4.1.xsd
src/libs/ifc/schema/pattern/v0.4.2.xsd
src/libs/ifc/schema/pattern/v0.4.3.xsd
src/libs/ifc/schema/pattern/v0.4.4.xsd
src/libs/ifc/schema/pattern/v0.4.5.xsd
src/libs/ifc/schema/pattern/v0.4.6.xsd
src/libs/ifc/schema/pattern/v0.4.7.xsd
src/libs/ifc/schema/pattern/v0.4.8.xsd
src/libs/ifc/schema/pattern/v0.5.0.xsd
src/libs/ifc/schema/pattern/v0.5.1.xsd
src/libs/ifc/schema/pattern/v0.6.0.xsd
src/libs/ifc/schema/pattern/v0.6.1.xsd
src/libs/ifc/schema/pattern/v0.6.2.xsd
src/libs/ifc/schema/pattern/v0.6.3.xsd
src/libs/ifc/schema/pattern/v0.6.4.xsd
src/libs/ifc/schema/pattern/v0.6.5.xsd
src/libs/ifc/schema/pattern/v0.6.6.xsd
src/libs/ifc/schema/pattern/v0.7.0.xsd
src/libs/ifc/schema/pattern/v0.7.1.xsd
src/libs/ifc/schema/pattern/v0.7.10.xsd
src/libs/ifc/schema/pattern/v0.7.11.xsd
src/libs/ifc/schema/pattern/v0.7.12.xsd
src/libs/ifc/schema/pattern/v0.7.13.xsd
src/libs/ifc/schema/pattern/v0.7.2.xsd
src/libs/ifc/schema/pattern/v0.7.3.xsd
src/libs/ifc/schema/pattern/v0.7.4.xsd
src/libs/ifc/schema/pattern/v0.7.5.xsd
src/libs/ifc/schema/pattern/v0.7.6.xsd
src/libs/ifc/schema/pattern/v0.7.7.xsd
src/libs/ifc/schema/pattern/v0.7.8.xsd
src/libs/ifc/schema/pattern/v0.7.9.xsd
src/libs/ifc/schema/pattern/v0.8.0.xsd
src/libs/ifc/schema/pattern/v0.8.1.xsd
src/libs/ifc/schema/pattern/v0.8.2.xsd
src/libs/ifc/schema/pattern/v0.8.3.xsd
src/libs/ifc/schema/pattern/v0.8.4.xsd
src/libs/qmuparser/LICENSE_BSD.txt
src/libs/vdxf/vdxf.pro
src/libs/vgeometry/vellipticalarc_p.h
src/libs/vgeometry/vellipticalarc.cpp
src/libs/vgeometry/vellipticalarc.h
src/libs/vtools/dialogs/tools/dialogellipticalarc.cpp
src/libs/vtools/dialogs/tools/dialogellipticalarc.h
src/libs/vtools/dialogs/tools/dialogellipticalarc.ui
src/libs/vtools/tools/drawTools/toolcurve/vtoolellipticalarc.cpp
src/libs/vtools/tools/drawTools/toolcurve/vtoolellipticalarc.h
src/libs/vtools/visualization/path/vistoolellipticalarc.cpp
src/libs/vtools/visualization/path/vistoolellipticalarc.h
src/libs/vwidgets/vabstractmainwindow.cpp
src/libs/vwidgets/vabstractmainwindow.h
src/test/ValentinaTest/tst_vellipticalarc.cpp
src/test/ValentinaTest/tst_vellipticalarc.h

And 3 files for win build:
dist/win/inno/LICENSE_VALENTINA
dist/win/inno/valentina.iss
scripts/make_install.bat
Comment 7 VVD 2020-07-17 04:47:22 UTC
8. "DISTVERSION=    0.7.0.0a" => "PORTVERSION=	0.7.0.0a".
Comment 8 Yuri Victorovich freebsd_committer 2020-07-17 05:06:52 UTC
I asked them to make a release, because the latest release number is 0.6.1.

DISTVERSION should be used instead of PORTVERSION when it reflects the tagged release number.

dos2unix should be used only for dos files that are patched, not for all files.

I will wait for them to make a new release and update the port.


Thanks for your patches,
Yuri